Skip to main content
POST
/
api
/
v1
/
auth
/
otc
/
hedge-notes
Create OTC Hedge Note
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/otc/hedge-notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "otc_deposit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "otc_withdrawal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "note_type": "<string>",
  "reference": "<string>",
  "amount": "<string>",
  "currency": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
otc_deposit_id
string<uuid>
otc_withdrawal_id
string<uuid>
note_type
string
reference
string
amount
string
currency
string

Response

201

Note created